FindSourceInformationImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class FindSourceInformationImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.FindSourceInformationImpl

- All Implemented Interfaces:
    Serializable, Cloneable, FindSourceInformation

      public class FindSourceInformationImpl
      extends Object
      implements FindSourceInformation, Serializable, Cloneable

  Implementation of a class that contains the result returned by the `tv.amwa.maj.model.SearchSource#searchSource(int, long, tv.amwa.maj.enumeration.MobKind, tv.amwa.maj.enumeration.CriteriaType, tv.amwa.maj.enumeration.OperationChoice)` method, containing source information about particular tracks.

  The information available in this object will depend on the kind of search carried out. All methods in this interface that return a non-primitive type value could return a `null` pointer to indicate that a value is not present.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindSourceInformationImpl(Package mob, Integer trackID, Long position, Rational editRate, Long length, Component component)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rational` | `getEditRate()` Returns the edit rate for the search result.
    `long` | `getLength()` Returns the length of this component.
    `Package` | `getPackage()` Returns the package search result.
    `SourceReferenceValueImpl` | `getSourceReference()` Returns the source reference search result.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindSourceInformationImpl

          public FindSourceInformationImpl(Package mob,
                                           Integer trackID,
                                           Long position,
                                           Rational editRate,
                                           Long length,
                                           Component component)

  - ### Method Detail

    - #### getEditRate

          public Rational getEditRate()

      Description copied from interface: `FindSourceInformation`

      Returns the edit rate for the search result.

      Specified by:
        `getEditRate` in interface `FindSourceInformation`
      Returns:
        Edit rate for the search result, or `null` if this value is not available.

    - #### getLength

          public long getLength()
                         throws BadPropertyException

      Description copied from interface: `FindSourceInformation`

      Returns the length of this component. The duration is specified in edit units of the result.

      This method deals with an optional property, which will only be present for time-varying media and some events.

      Specified by:
        `getLength` in interface `FindSourceInformation`
      Returns:
        Length of the component.
      Throws:
        `BadPropertyException` - The optional length property is not present for this object.

    - #### getPackage

          public Package getPackage()

      Description copied from interface: `FindSourceInformation`

      Returns the package search result.

      Specified by:
        `getPackage` in interface `FindSourceInformation`
      Returns:
        The final media object referenced, or `null` if no valid package is referenced.

    - #### getSourceReference

          public SourceReferenceValueImpl getSourceReference()

      Description copied from interface: `FindSourceInformation`

      Returns the source reference search result.

      Specified by:
        `getSourceReference` in interface `FindSourceInformation`
      Returns:
        Source reference search result, or `null` if the value is not available.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.